| Home | Libraries | People | FAQ | More

## BoostBook element `library-reference`

library-reference — Declares the reference material for a library

## Synopsis

library-reference ::= (title?, section*, (header| library-reference)*)

## Description

Reference documentation for a library is contained with a <library-reference> element. The <library-reference> element has no attributes, and contains as children only <header> elements.

The <header> element defines a C++ header file. Within each C++ header file lie the definitions of C++ constructs to be documented. The `name` attribute of the <header> element gives the name of the header, as one would specify when including the header. For instance, the <library-reference> for the Any library may look like this:

    <library-reference>
      <header name="boost/any.hpp">
        <!-- C++ constructs in this header -->
      </header>
    </library-reference>

If the Any library contained multiple headers, we would list them all as children of the <library-reference> element.

`library-reference` elements can be nested, so that reference material can be divided into separate sections that each contain different headers.

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2004/07/05 16:26:11 $ to keep "last revised" information in sync with CVS changes
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes

| Copyright © 2003 Douglas Gregor